
-- A simple table containing some strings
-- In this case actor names
SpainUnits = { "e1", "e1", "e2", "1tnk" }

-- This function calls reinforcements for the player "spain"
-- Called from inside "WorldLoaded"
MySpainReinforcements = function()
	local entryPath = { EntryPoint.Location, RallyPoint.Location } -- A table containing several CPos's, which are the Locations of map-placed (waypoint) actors

	-- Actor[] Reinforce(Player owner, String[] actorTypes, CPos[] entryPath, int interval = 25, LuaFunction actionFunc = nil)
	-- We don't want interval and actionFunc , so we can leave them out here
	-- They will then default to "25" and "nil"
	local unitsSent = Reinforcements.Reinforce(spain, SpainUnits, entryPath)

	-- A simple Trigger , call a custom function when all units inside the "unitsSent" table are killed
	Trigger.OnAllKilled(unitsSent, function() -- Start of the custom function
		Media.DisplayMessage("RIP, all soldiers died :(", "SpainCommander")
	end) -- End the custom function and close the bracket (as the custom function is a parameter passed to the "OnAllKilled" method)
end

MyFunction = function() -- Starting to write a function with custom keyword for being able to use also "MyFunction" keyword by merging it with a keyword "function()" that is already in use
	Media.DisplayMessage("This is a first simple tutorial about how to create a custom function", "Teacher") -- Writing all selected functions that a new custom one should do
end -- Finishing the new function

-- This function is called when you start the map
WorldLoaded = function()
	greece = Player.GetPlayer("Greece")
	spain = Player.GetPlayer("Spain")

	MySpainReinforcements()
	MyFunction() -- Created new function works now on from there where exist function name + "()"
end
